Workspaces

Get a workspace

GET
/api/v1/workspaces

Get a workspace by id. ID is retrieved from the request header.

Authorization

AccessToken
Authorization<token>

Use access token to access this API. Example: "Authorization: api-MzQ..."

In: header

Header Parameters

Organization?string

The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Workspace?string

The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.

Response Body

application/json

curl -X GET "https://example.com/api/v1/workspaces"
{  "success": true,  "errors": [    "string"  ],  "data": {    "id": "string",    "name": "string",    "key": "string",    "license": "string",    "sso": {      "oidc": {        "clientId": "string",        "clientSecret": "string",        "tokenEndpoint": "string",        "clientAuthenticationMethod": "string",        "authorizationEndpoint": "string",        "scope": "string",        "userEmailClaim": "string"      }    }  }}